summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRiccardo Magliocchetti <riccardo.magliocchetti@gmail.com>2022-10-24 09:34:06 +0200
committerRiccardo Magliocchetti <riccardo.magliocchetti@gmail.com>2022-10-24 09:35:05 +0200
commit6aac1b87ba01e58e9f0a1423237749e9e061f3f2 (patch)
treedd5fa54936914f23790f4c699e5879a1bbaa5d35
parent11fbf65cb6e8e759c6234ca9b9d218ce5f6b28dd (diff)
downloaduwsgi-6aac1b87ba01e58e9f0a1423237749e9e061f3f2.tar.gz
ci: force installing sinatra 2
Which still runs on ruby 2.5.0. Fix #2497
-rwxr-xr-xtests/gh-shared.sh2
-rwxr-xr-xtests/travis.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/tests/gh-shared.sh b/tests/gh-shared.sh
index 368afaae..bad6dd04 100755
--- a/tests/gh-shared.sh
+++ b/tests/gh-shared.sh
@@ -88,7 +88,7 @@ test_rack() {
# the code assumes that ruby environment is activated by `rvm use`
echo -e "${bldyel}================== TESTING $1 $2 =====================${txtrst}"
echo -e "${bldyel}>>> Installing sinatra gem using gem${txtrst}"
- sudo gem install sinatra || die
+ sudo gem install sinatra -v 2.2.2 || die
echo -e "${bldyel}>>> Spawning uWSGI rack app${txtrst}"
echo -en "${bldred}"
./uwsgi --master --plugin 0:$1 --http :8080 --exit-on-reload --touch-reload reload.txt --rack $2 --daemonize uwsgi.log
diff --git a/tests/travis.sh b/tests/travis.sh
index ec4c5c5d..67ea2f5d 100755
--- a/tests/travis.sh
+++ b/tests/travis.sh
@@ -91,7 +91,7 @@ test_rack() {
# the code assumes that ruby environment is activated by `rvm use`
echo -e "${bldyel}================== TESTING $1 $2 =====================${txtrst}"
echo -e "${bldyel}>>> Installing sinatra gem using gem${txtrst}"
- sudo gem install sinatra || die
+ sudo gem install sinatra -v 2.2.2 || die
echo -e "${bldyel}>>> Spawning uWSGI rack app${txtrst}"
echo -en "${bldred}"
./uwsgi --master --plugin 0:$1 --http :8080 --exit-on-reload --touch-reload reload.txt --rack $2 --daemonize uwsgi.log